package com.ho.flow.mapper;

import com.ho.flow.entity.WorkOrderSub;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【word_order_sub】的数据库操作Mapper
* @createDate 2023-03-20 11:23:15
* @Entity com.ho.flow.entity.WordOrderSub
*/
@Mapper
public interface WorkOrderSubMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(WorkOrderSub record);

    int insertSelective(WorkOrderSub record);

    WorkOrderSub selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WorkOrderSub record);

    int updateByPrimaryKey(WorkOrderSub record);

    int insertBatch(List<WorkOrderSub> list);

    void deleteByPid(Long pid);

    List<WorkOrderSub> selectByPid(Long id);
}
